Subject: Re: VLANs and bridge

From: Simon Barber <[email-masked]>
Date: Sat, 22 Aug 2009 07:34:11 -0700

Hi Joakim,

Look back a month or so in the archives - you'll find an email from me 
referencing a patch to make the bridge VLAN aware. It's a little old, 
and needs updating for 2.6 (it was written for 2.4) - but should not be 
much work to get it done. There is a matching patch for the brctl utility.

Simon

Joakim Tjernlund wrote:
> This is probably no news to experienced bridge and VLAN users but I just learned the
> hard way that Shared VLAN learning(SVL) isn't supported
> by the linux bridge making it impossible to support configurations described in B.1.3
> Basically the bride needs to be made VLAN aware and the VLAN code needs to be adopted
> to allow this.
>
> I figured I should mention it in case it is just an oversight. It does not look like a simple
> job though.
>
>  Jocke
>
> _______________________________________________
> Bridge mailing list
> [email-masked]
> https://lists.linux-foundation.org/mailman/listinfo/bridge
>